#!/bin/sh
#echo "`date` ($SSH_CLIENT): `pwd`>$SSH_ORIGINAL_COMMAND<" >> /root/.ssh/ssh-command.log
case "$SSH_ORIGINAL_COMMAND" in
*\&*)
echo "Rejected"
;;
*\(*)
echo "Rejected"
;;
*\{*)
echo "Rejected"
;;
*\;*)
echo "Rejected"
;;
*\<*)
echo "Rejected"
;;
*\`*)
echo "Rejected"
;;
*\|*)
echo "Rejected"
;;
*..*)
echo "Rejected"
;;
/share/ISB/bin/isb.sh\ *)
eval $SSH_ORIGINAL_COMMAND
#echo OK >> /root/.ssh/ssh-command.log
;;
scp\ -t*)
scp -t -d "/share/Public"
#echo OK >> /root/.ssh/ssh-command.log
;; 
#scp\ -f*)
#eval $SSH_ORIGINAL_COMMAND
#echo OK >> /root/.ssh/ssh-command.log
#;; 
#/share/Public/ISB_*.qpkg)
#exec $SSH_ORIGINAL_COMMAND
#echo OK >> /root/.ssh/ssh-command.log
#;; 
*)
echo "Rejected"
;;
esac
